CREATE TABLE ego_user_expressions (
    EXPRESSION_ID            NUMBER(18, 0) ,
    OBJECT_NAME              VARCHAR2(400)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    PARSING_OPTION           VARCHAR2(160)     NOT NULL,
    EXPRESSION               VARCHAR2(4000)    NOT NULL,
    GROOVY_SCRIPT            CLOB          ,
    GROOVY_BYTES             BLOB          ,
    RETURN_TYPE              VARCHAR2(160)     NOT NULL,
    RETURN_ATTRIBUTE_NAME    VARCHAR2(400)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    EXPRESSION_ID            NUMBER(18, 0) ,
    OBJECT_NAME              VARCHAR2(400)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    PARSING_OPTION           VARCHAR2(160)     NOT NULL,
    EXPRESSION               VARCHAR2(4000)    NOT NULL,
    RETURN_TYPE              VARCHAR2(160)     NOT NULL,
    RETURN_ATTRIBUTE_NAME    VARCHAR2(400)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    GROOVY_SCRIPT            CLOB          ,
    GROOVY_BYTES             BLOB          ,
    CONSTRAINT pk_ego_user_expressions PRIMARY KEY (EXPRESSION_ID, EXPRESSION_ID)
);
